librime: rime::DbAccessor Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::DbAccessor Class Referenceabstract

`#include <db.h>`

Inheritance diagram for rime::DbAccessor:
[legend]
Collaboration diagram for rime::DbAccessor:
[legend]

## Public Member Functions
| DbAccessor ()=default
| DbAccessor (const string &prefix)
virtual | ~DbAccessor ()=default
virtual bool | Reset ()=0
virtual bool | Jump (const string &key)=0
virtual bool | GetNextRecord (string *key, string *value)=0
virtual bool | exhausted ()=0

## Protected Member Functions
bool | MatchesPrefix (const string &key)

## Protected Attributes
string | prefix_

## Constructor & Destructor Documentation

## ◆ DbAccessor() [1/2]

rime::DbAccessor::DbAccessor | ( |  | ) |
| default

## ◆ DbAccessor() [2/2]

rime::DbAccessor::DbAccessor | ( | const string & | prefix | ) |
| inlineexplicit

## ◆ ~DbAccessor()

virtual rime::DbAccessor::~DbAccessor | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ exhausted()

virtual bool rime::DbAccessor::exhausted | ( |  | ) |
| pure virtual

Implemented in rime::LevelDbAccessor, and rime::TextDbAccessor.

## ◆ GetNextRecord()

virtual bool rime::DbAccessor::GetNextRecord | ( | string * | key,
|  | string * | value )
| pure virtual

Implemented in rime::LevelDbAccessor, and rime::TextDbAccessor.

## ◆ Jump()

virtual bool rime::DbAccessor::Jump | ( | const string & | key | ) |
| pure virtual

Implemented in rime::LevelDbAccessor, and rime::TextDbAccessor.

## ◆ MatchesPrefix()

bool rime::DbAccessor::MatchesPrefix | ( | const string & | key | ) |
| protected

## ◆ Reset()

virtual bool rime::DbAccessor::Reset | ( |  | ) |
| pure virtual

Implemented in rime::LevelDbAccessor, and rime::TextDbAccessor.

## Member Data Documentation

## ◆ prefix_

string rime::DbAccessor::prefix_
| protected

The documentation for this class was generated from the following files:

- db.h
- db.cc